--
-- umschaltbare Bereifung
-- 
--
-- @author Schnulla-817
-- @date  21/06/09
--
-- 

Reifenfront = {};

function Reifenfront.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Reifenfront:load(xmlFile)

    self.numtwintiresfront = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.twintiresfront#count"), 0);
    self.twintiresfront = {};
    for i=1, self.numtwintiresfront do
        local twintirefrontnamei = string.format("vehicle.twintiresfront.twintirefront%d", i);
        self.twintiresfront[i] = Utils.indexToObject(self.components, getXMLString(xmlFile, twintirefrontnamei .. "#index"));
        setVisibility(self.twintiresfront[i], false);
    end;

	self.twintiresfrontActive = false;

end;

function Reifenfront:keyEvent(unicode, sym, modifier, isDown)

end;

function Reifenfront:update(dt)

    if self:getIsActiveForInput() then
	    if InputBinding.hasEvent(InputBinding.Zwillingsreifenfront) then
		    self.twintiresfrontActive = not self.twintiresfrontActive;
        end;
	end;

	if self.isEntered then
		
    	    if self.twintiresfrontActive then
			   	for i=1, self.numtwintiresfront do
		   			local twintire = self.twintiresfront[i];
			   		setVisibility(twintire, self.twintiresfrontActive);
				end;
		else 
		    if not self.twintiresfrontActive then
				for i=1, self.numtwintiresfront do
					local twintire = self.twintiresfront[i];
					setVisibility(twintire, self.twintiresfrontActive, false);
				end;
		 	end;
		end;

	end;
end;



function Reifenfront:draw()
end;

function Reifenfront:onEnter()
end;

function Reifenfront:onLeave()
end;

function Reifenfront:delete()
end;


function Reifenfront:mouseEvent(posX, posY, isDown, isUp, button)
end;


