--
-- umschaltbare Bereifung
-- 
--
-- @author Schnulla-817
-- @date  21/06/09
--
-- 

Reifenrear = {};

function Reifenrear.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Reifenrear:load(xmlFile)

    self.numtwintiresrear = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.twintiresrear#count"), 0);
    self.twintiresrear = {};
    for i=1, self.numtwintiresrear do
        local twintirerearnamei = string.format("vehicle.twintiresrear.twintirerear%d", i);
        self.twintiresrear[i] = Utils.indexToObject(self.components, getXMLString(xmlFile, twintirerearnamei .. "#index"));
        setVisibility(self.twintiresrear[i], false);
    end;

	self.twintiresrearActive = false;

end;

function Reifenrear:keyEvent(unicode, sym, modifier, isDown)

end;

function Reifenrear:update(dt)

    if self:getIsActiveForInput() then
	    if InputBinding.hasEvent(InputBinding.Zwillingsreifenrear) then
		    self.twintiresrearActive = not self.twintiresrearActive;
        end;
	end;

	if self.isEntered then
		
    	    if self.twintiresrearActive then
			   	for i=1, self.numtwintiresrear do
		   			local twintire = self.twintiresrear[i];
			   		setVisibility(twintire, self.twintiresrearActive);
				end;
		else 
		    if not self.twintiresrearActive then
				for i=1, self.numtwintiresrear do
					local twintire = self.twintiresrear[i];
					setVisibility(twintire, self.twintiresrearActive, false);
				end;
		 	end;
		end;

	end;
end;



function Reifenrear:draw()
end;

function Reifenrear:onEnter()
end;

function Reifenrear:onLeave()
end;

function Reifenrear:delete()
end;


function Reifenrear:mouseEvent(posX, posY, isDown, isUp, button)
end;


